Summary:	xedit application - simple text editor for X
Summary(pl.UTF-8):	Aplikacja xedit - prosty edytor tekstu dla X
Name:		xorg-app-xedit
Version:	1.2.4
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	https://xorg.freedesktop.org/releases/individual/app/xedit-%{version}.tar.xz
# Source0-md5:	7fee129d728f9fc2c9a9bdeee4a083ba
Source1:	xedit.desktop
Source2:	xedit.png
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXaw-devel
BuildRequires:	xorg-lib-libXmu-devel
BuildRequires:	xorg-lib-libXt-devel >= 1.0.0
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xz
Requires:	xorg-lib-libXt >= 1.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
xedit application is a simple text editor for X.

%description -l pl.UTF-8
Aplikacja xedit to prosty edytor tekstu dla X.

%prep
%setup -q -n xedit-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -D %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}/xedit.desktop
install -D %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}/xedit.png

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog README
%attr(755,root,root) %{_bindir}/xedit
%{_datadir}/X11/app-defaults/Xedit*
%{_libdir}/X11/xedit
%{_desktopdir}/xedit.desktop
%{_pixmapsdir}/xedit.png
%{_mandir}/man1/xedit.1*
%changelog
* Sun Mar 24 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-app-xedit.git;a=log;h=master

* Sun Mar 24 2024 Jakub Bogusz <qboosh@pld-linux.org> 21bdc50
- updated to 1.2.4

* Fri Apr 15 2022 Jakub Bogusz <qboosh@pld-linux.org> 17415dd
- updated to 1.2.3

* Tue Feb 24 2015 Jakub Bogusz <qboosh@pld-linux.org> ff6effa
- updated to 1.2.2

* Tue Jan 15 2013 Jakub Bogusz <qboosh@pld-linux.org> 5e8bea6
- updated to 1.2.1

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 05f545a
- dropped pre-cvs changelog

* Sun Oct 31 2010 Jakub Bogusz <qboosh@pld-linux.org> fe20f55
- updated to 1.2.0 (xprint support dropped)

* Fri Nov 07 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 168e560
- up to 1.1.2

* Thu Jul 31 2008 Jakub Bogusz <qboosh@pld-linux.org> 2bde76f
- minimally informative descs
- more docs

* Thu Jul 31 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 1c4df87
- up to 1.1.1

* Mon Jul 28 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 8d757d5
- release 2

* Wed Dec 26 2007 blekot <blekot@pld-linux.org> 3d840bb
- massive change ( validate errors warrings from desktop-file-validate)
  - sed -i 's,Encoding=UTF-8,,g' *.desktop
  - sed -i "s,.png,,1" `grep -l 'Icon=[^/].*\.png' *.desktop`
  - sed -i "s,MimeType=.*,\0;,g" `grep "MimeType.*semicolon" validate |awk '{print $1}' |tr ":" " "`
  - sed -i 's,MapNotify=.*,,g' *.desktop
  - sed -i '/^$/d' *.desktop
- not all error/warrings validated

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 22edfe7
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> f5b8bca
- converted to UTF-8

* Sun Oct 15 2006 Jakub Bogusz <qboosh@pld-linux.org> e576047
- more verbose files, release 1

* Thu Apr 27 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> c4f52b5
- up to 1.0.2

* Fri Feb 03 2006 Jakub Bogusz <qboosh@pld-linux.org> ce62811
- merged xedit.{desktop,png} from monolith

* Mon Jan 16 2006 Jakub Bogusz <qboosh@pld-linux.org> 267fa2b
- runtime R: libXt >= 1.0.0 (for new app-defaults location)

* Thu Jan 12 2006 Jakub Bogusz <qboosh@pld-linux.org> 009094a
- 1.0.1 (X11R7.0 release)

* Fri Dec 09 2005 Jakub Bogusz <qboosh@pld-linux.org> 0df0b94
- 0.99.3 (X11R7.0-RC3)

* Sat Nov 19 2005 Jakub Bogusz <qboosh@pld-linux.org> 8a5c92d
- 0.99.2 (X11R7.0-RC2)

